# JsonDecoderFilter Class Reference
[Tools for primitive's filtration]

Inheritance diagram for JsonDecoderFilter:
[legend]

List of all members.

## Public Member Functions

| setAssoc ($orly=true)
| apply ($value)

## Static Public Member Functions

static | me ()

## Private Attributes

| $assoc = false

## Detailed Description

Definition at line 15 of file JsonDecoderFilter.class.php.

## Member Function Documentation

JsonDecoderFilter::apply | ( | $ | value | ) |

Definition at line 37 of file JsonDecoderFilter.class.php.

static JsonDecoderFilter::me | ( |  | ) | `[static]`

Returns:
  JsonDecodeFilter

Implements Instantiatable.

Definition at line 22 of file JsonDecoderFilter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

JsonDecoderFilter::setAssoc | ( | $ | orly = `true` | ) |

Returns:
  JsonDecodeFilter

Definition at line 30 of file JsonDecoderFilter.class.php.

## Member Data Documentation

JsonDecoderFilter::$assoc = false`[private]`

Definition at line 17 of file JsonDecoderFilter.class.php.

The documentation for this class was generated from the following file:

- core/Form/Filters/JsonDecoderFilter.class.php